View Issue Details

IDProjectCategoryView StatusLast Update
0002160SOGoWeb Calendarpublic2014-09-12 08:52
Reporterinterazioni Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.3 
Target Version2.2.9Fixed in Version2.2.9 
Summary0002160: Problem on recurrent tasks
Description

I have a problem when using recurrent tasks with sogo, and I feel it can be a bug.

After I create the recurrent task (with ending date), I only see one instance of task and I cannot modify the single occurence of a specific date. Or I complete the whole task, or none, while I need to set as completed only some selected dates.

On thunderbird, a recurrent task is visualized both as task and as event, with each derived date being an event, so I can modify all the occurences, or just the single element.

Actually, this problem forces me to create recurrent events instead of recurrent tasks, but in this way I'm missing various task features which are important (state, % of work, completion).

TagsNo tags attached.

Activities

ludovic

ludovic

2013-01-09 12:42

administrator   ~0005105

Recurring tasks in SOGo's web interface won't work well right now.

ludovic

ludovic

2014-09-05 14:23

administrator   ~0007476

Code has been developed. It'll be pushed as soon as v2.2.8 is out.

ludovic

ludovic

2014-09-12 08:52

administrator   ~0007497

https://github.com/inverse-inc/sogo/commit/12a4fd05a249cc6c0ea1f6c0722cbf50ce1afa39

Issue History

Date Modified Username Field Change
2013-01-07 06:05 interazioni New Issue
2013-01-09 12:42 ludovic Note Added: 0005105
2014-09-05 14:23 ludovic Note Added: 0007476
2014-09-05 14:23 ludovic Target Version => 2.2.9
2014-09-12 08:52 ludovic Note Added: 0007497
2014-09-12 08:52 ludovic Status new => resolved
2014-09-12 08:52 ludovic Fixed in Version => 2.2.9
2014-09-12 08:52 ludovic Resolution open => fixed
2014-09-12 08:52 ludovic Assigned To => ludovic